# Updates the details of an existing bookkeeping rule for the specified client. The rule to update is identified by its unique rule ID. Endpoint: PUT /api/v1/clients/{clientId}/bookkeeping/matching-rules/{ruleId} Version: 1 Security: , , , ## Path parameters: - `clientId` (string, required) - `ruleId` (string, required) ## Request fields (application/json): - `displayName` (string) Sets the display name for the bookkeeping rule. - `autoUpdate` (boolean) Sets if the voucher is automatically updated in the erp-system. - `applyTransactionFiltersAfterMatching` (boolean) True if transaction filters sjould be applied after matching, false otherwise. ## Response 200 fields (application/json): - `links` (object) - `clientId` (string) - `ruleId` (string) ## Response 403 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null) ## Response 404 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)